@font-face {
    font-family: Gliker-Bold;
    src: url("../font/Gliker-Bold.ttf");
}

@font-face {
    font-family: Gliker-Regular;
    src: url("../font/Gliker-Regular.ttf");
}

@font-face {
    font-family: Exo2-Regular;
    src: url("../font/Exo2-Regular.ttf");
}

:root{
    --bleu-fonce: #09214A;
    --bleu-clair: #3DC2E2;
    --rouge: #ED151A;
    --gris: #8F8F8F;
    --success-color: rgb(66, 165, 66);
    --vert: rgb(77, 186, 77);
    --jaune: rgb(218, 218, 98);

    --font-title: Gliker-Bold;
    --font-subtitle: Gliker-Regular;
    --font-global: Exo2-Regular;
}

.title{
    font-family: var(--font-title), serif;
}

.subtitle{
    font-family: var(--font-subtitle), serif;
}

/* =========== */

html, body{
    padding: 0;
    margin: 0;
    height: 100vh;
    font-family: var(--font-global), serif !important;
}

/* =========== */

.navbar{
    height: 80px;
    width: 100%;
    background-size: 100% 120%;
    background: linear-gradient(var(--bleu-fonce), var(--bleu-clair)) center center;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: start;
    justify-content: center;
    padding-top: 15px;
    box-sizing: border-box;
    z-index: 999;
    animation: gradientMove 5s linear infinite;
    view-transition-name: navbar;
}

.navbar::after{
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 1px;
    background: white;
}

.navbar svg{
    animation: vagueNavBar2 3s linear infinite alternate;
}

.navbar svg path{
    animation: vagueNavBar 5s linear infinite alternate;
}

.navbar img{
    width: 25px;
    height: 25px;
}

.navbar .burger{
    position: absolute;
    left: 15px;
    top: 15px;
}

.navbar .navitem-group{
    position: absolute;
    right: 15px;
    top: 15px;
}

.navbar .subtitle{
    color: white;
    font-size: 20px;

}

.custom-shape-divider-bottom-1744152029 {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.custom-shape-divider-bottom-1744152029 svg {
    position: relative;
    display: block;
    width: 140%;
    height: 20px;
}

.custom-shape-divider-bottom-1744152029 .shape-fill {
    fill: #FFFFFF;
}

/* =========== */

.burger-menu {
    position: fixed;
    top: 0;
    transform: translateX(-100%);
    width: calc(100%);
    height: 100%;
    background: white;
    padding: 80px 15px;
    box-sizing: border-box;
    border-bottom-right-radius: 10px;
    z-index: 5;
    transition: transform 0.3s ease-out;
}

.burger-menu.active {
    transform: translateX(0);
}

.burger-menu .mainInfo{
    transform: translateX(-200px);
    transition: transform .3s ease-out .2s;
}

.burger-menu.active .mainInfo {
    transform: translateX(0);
}

.burger-menu > img{
    width: 75px;
    margin-bottom: 10px;
}

.burger-menu .subtitle{
    color: var(--bleu-fonce);
    margin-bottom: 10px;
}

.burger-menu .infos{
    font-size: 12px;
    color: #00000070;
    margin-bottom: 50px;
    width: 100%;
    position: relative;
}

.burger-menu .infos::after{
    content: "";
    position: absolute;
    bottom: -25px;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    height: 1px;
    background-color: #00000020;
}

.burger-menu .links{
    display: flex;
    flex-direction: column;
}

.burger-menu .links > div{
    display: flex;
    align-items: center;
    transform: translateX(-200px);
    transition: transform .3s ease-out var(--timing-anim);
}

.burger-menu.active .links > div{
    transform: translateX(0);
}

.burger-menu .links > div img{
    width: 30px;
    margin-right: 20px;
}

.buttonWithPicto{
    padding-left: 40px !important;
    position: relative;
}

.buttonWithPicto::after{
    content: "";
    position: absolute;
    height: 60%;
    aspect-ratio: 1;
    background-repeat: no-repeat;
    top: 20%;
    left: 10px;
    background-size: contain;
}

.bg-filter{
    background-color: #00000030;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(3px);
    opacity: 0;
}

.notification {
    padding: 10px 20px;
    color: white;
    position: fixed;
    border-radius: 5px;
    z-index: 5000;
    right: -100%;
    top: 10px;
    max-width: calc(100% - 20px);
    transition: right .3s ease-out;
}

.notification.success {
    background-color: var(--success-color);
}

.notification.danger {
    background-color: var(--rouge);
}

.custom-modal {
    width: 100%;
    height: 100%;
    z-index: 1500;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    transform: translateX(100%);
    animation: openModal .3s ease-out forwards;
}

.custom-modal.open {
    transform: translateX(0);
    animation: none;
}

.custom-modal.open.close {
    animation: openModal .3s ease-out reverse forwards;
}

.custom-modal-dialog {
    width: 100%;
    position: relative;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    background-color: white;
}

.custom-modal .custom-modal-header{
    position:relative;
    margin-bottom: 20px;
}

.custom-modal .custom-modal-header::after{
    content: "";
    width: 70%;
    height: 1px;
    background-color: var(--bleu-clair);
    left: 15%;
    bottom: -5px;
    position: absolute;
}

.custom-modal .custom-modal-header{
    opacity: 0;
    animation: slideAndFadeFromBotToTop .5s ease-in-out forwards;
}

.custom-modal .custom-modal-header .custom-modal-title{
    display: flex;
    height: 55px;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    font-family: var(--font-subtitle), serif;
}

.custom-modal .custom-modal-header .custom-modal-close{
    position: absolute;
    top: 15px;
    left: 15px;
    width: 25px;
    height: 25px;
    background-color: transparent;
    outline: none;
    border: none;
}

.custom-modal .custom-modal-header .custom-modal-close img{
    width: 25px;
    height: 25px;
}

.custom-modal-body{
    padding: 0 20px;
}

.custom-modal-body .button-container button{
    padding: 8px 15px;
}

.modal-button-container {
    text-align: center;
    opacity: 0;
    animation: slideAndFadeFromBotToTop .5s ease-in-out .6s forwards;
    padding: 0 0 15px;
}

.modal-button-container .custom-modal-button {
    background-color: var(--rouge);
    padding: 8px 15px;
    width: 50%;
    color: white;
    border: none;
    border-radius: 5px;
    text-decoration: none;
}

.custom-modal-input {
    color: white;
    border: solid 1px white;
    border-radius: 5px;
    background: transparent;
    outline: none;
    padding: 8px 20px 8px 40px;
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 5px;
}

.custom-comfirm-modal {
    z-index: 5000;
}

.custom-modal.custom-comfirm-modal .custom-modal-body {
    text-align: center;
}

.custom-modal.custom-comfirm-modal .custom-modal-body button {
    background-color: var(--rouge);
    padding: 8px 15px;
    width: 50%;
    color: white;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    margin-top: 20px;
}

.logout-button {
    position: fixed;
    bottom: 5px;
}

.account-image {
    border-radius: 50%;
    width: 125px;
    height: 125px;
    border: solid 1px #00000020;
}

.custom-button {
    padding: 8px 15px;
    color: white;
    outline: none;
    border: none;
    border-radius: 5px;
    margin: 5px;
}

.custom-button-danger {
    background-color: var(--rouge);
}

.custom-button-primary {
    background-color: var(--bleu-clair);
}

.listing-value-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
}

.hide-lang {
    display: none;
}

.custom-switch-button {
  position: relative;
  display: inline-block;
  width: 35px;
  height: 17px;
}

.custom-switch-button input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.custom-switch-button-content {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: .4s;
}

.custom-switch-button-content:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 15px;
  left: 4px;
  bottom: 1px;
  background-color: white;
  transition: .4s;
}

.custom-switch-button input:checked + .custom-switch-button-content {
  background-color: var(--bleu-clair);
}

.custom-switch-button input:focus + .custom-switch-button-content {
  box-shadow: 0 0 1px var(--bleu-clair);
}

.custom-switch-button input:checked + .custom-switch-button-content:before {
  transform: translateX(15px);
}

.custom-switch-button-content {
  border-radius: 34px;
}

.custom-switch-button-content:before {
  border-radius: 50%;
}

.navbar-content {
    position: absolute;
    right: 5px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.geolocalisation-button {
    background-color: white;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
}

.geolocalisation-button {
    width: 20px;
    height: 20px;
    margin-left: 5px;
}

.geolocalisation-button img {
    width: 20px;
    height: 20px;
}

.logo-container {
    border-radius: 50%;
    width: 105px;
    height: 105px;
    margin: auto;
    display: flex;
    align-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: white;
    object-fit: contain;
}

.logo-container-conversation {
    border-radius: 50%;
    width: 35px;
    height: 35px;
    margin: auto;
    display: flex;
    align-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: white;
    object-fit: contain;
}

.logo-container-conversation-list {
    border-radius: 50%;
    width: 75px;
    height: 75px;
    display: flex;
    align-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: white;
    object-fit: contain;
}

.logo-container-map {
    padding: 5px;
}

.address-example-container {
    position: relative;
    overflow: auto;
    height: 150px;
    margin-bottom: -150px;
    background-color: white;
    border: 1px solid var(--bleu-clair);
    border-radius: 5px;
    font-size: 13px;
    z-index: 500;
}

.address-example {
    padding: 5px;
    border-bottom: 1px solid black;
}